## ide-snippet-types ide-snippet-types |

## Properties

GtkTextBuffer * | buffer | Read
gchar * | description | Read / Write
gchar * | language | Read / Write
GtkTextMark * | mark-begin | Read
GtkTextMark * | mark-end | Read
gint | tab-stop | Read
gchar * | trigger | Read / Write
IdeSnippetContext * | context | Read / Write
gchar * | spec | Read / Write
gint | tab-stop | Read / Write
gchar * | text | Read / Write
gboolean | text-set | Read / Write

## Signals

void | changed | Run First
void | parsing-error | Run Last

## Types and Values

| IdeSnippet
| IdeSnippetChunk
| IdeSnippetContext
| IdeSnippetParser
| IdeSnippetStorage

## Object Hierarchy

        GObject
        ├── IdeObject
        │   ╰── IdeSnippetStorage
        ├── IdeSnippet
        ├── IdeSnippetChunk
        ├── IdeSnippetContext
        ╰── IdeSnippetParser

## Implemented Interfaces

IdeSnippetStorage implements GAsyncInitable.

## Description

## Functions

## Types and Values

### IdeSnippet

    typedef struct _IdeSnippet IdeSnippet;

### IdeSnippetChunk

    typedef struct _IdeSnippetChunk IdeSnippetChunk;

### IdeSnippetContext

    typedef struct _IdeSnippetContext IdeSnippetContext;

### IdeSnippetParser

    typedef struct _IdeSnippetParser IdeSnippetParser;

### IdeSnippetStorage

    typedef struct _IdeSnippetStorage IdeSnippetStorage;

## Property Details

### The `“buffer”` property

      “buffer”                   GtkTextBuffer *

The GtkTextBuffer for the snippet.

Owner: IdeSnippet

Flags: Read

### The `“description”` property

      “description”              gchar *

The description for the snippet.

Owner: IdeSnippet

Flags: Read / Write

Default value: NULL

### The `“language”` property

      “language”                 gchar *

The language for the snippet.

Owner: IdeSnippet

Flags: Read / Write

Default value: NULL

### The `“mark-begin”` property

      “mark-begin”               GtkTextMark *

The beginning text mark.

Owner: IdeSnippet

Flags: Read

### The `“mark-end”` property

      “mark-end”                 GtkTextMark *

The ending text mark.

Owner: IdeSnippet

Flags: Read

### The `“tab-stop”` property

      “tab-stop”                 gint

The current tab stop.

Owner: IdeSnippet

Flags: Read

Allowed values: >= -1

Default value: -1

### The `“trigger”` property

      “trigger”                  gchar *

The trigger for the snippet.

Owner: IdeSnippet

Flags: Read / Write

Default value: NULL

### The `“context”` property

      “context”                  IdeSnippetContext *

The snippet context.

Owner: IdeSnippetChunk

Flags: Read / Write

### The `“spec”` property

      “spec”                     gchar *

The specification to expand using the context.

Owner: IdeSnippetChunk

Flags: Read / Write

Default value: NULL

### The `“tab-stop”` property

      “tab-stop”                 gint

The tab stop for the chunk.

Owner: IdeSnippetChunk

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“text”` property

      “text”                     gchar *

The text for the chunk.

Owner: IdeSnippetChunk

Flags: Read / Write

Default value: NULL

### The `“text-set”` property

      “text-set”                 gboolean

If the text property has been manually set.

Owner: IdeSnippetChunk

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“changed”` signal

    void
    user_function (IdeSnippetContext *idesnippetcontext,
                   gpointer           user_data)

Flags: Run First

### The `“parsing-error”` signal

    void
    user_function (IdeSnippetParser *idesnippetparser,
                   GFile            *arg1,
                   guint             arg2,
                   gchar            *arg3,
                   gpointer          user_data)

Flags: Run Last